
Redmine - Defect #4607

Completely broken unit tests with Ruby 1.9 (encoding problem)

2010-01-19 11:57 - Alexey Palazhchenko

Status: Closed Start date: 2010-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version:  

Description

Current trunk:

$ rake --trace test:units

/Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/activesupport-2.3.5/lib/active_support/dependencies.r

b:147:in `load': /Users/AlekSi/Sites/redmine/test/unit/mail_handler_test.rb:214: invalid multibyte

 char (US-ASCII) (SyntaxError)

/Users/AlekSi/Sites/redmine/test/unit/mail_handler_test.rb:214: invalid multibyte char (US-ASCII)

/Users/AlekSi/Sites/redmine/test/unit/mail_handler_test.rb:214: syntax error, unexpected $end, exp

ecting ')'

    tracker = Tracker.create!(:name => '開発')

                                          ^

    from /Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/activesupport-2.3.5/lib/active_support/depen

dencies.rb:147:in `load_with_new_constant_marking'

    from /Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5:in

 `block in <main>'

    from /Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5:in

 `each'

    from /Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5:in

 `<main>'

rake aborted!

Command failed with status (1): [/Users/AlekSi/.rvm/rubies/ruby-1.9.1-p378/...]

/Users/AlekSi/.rvm/gems/ruby-1.9.1-p378/gems/rake-0.8.7/lib/rake.rb:995:in `block in sh'

 btw, I think support for Ruby 1.9 would be a great target for Redmine 1.0. How about to create specific version/milestone for it to see

all releated issues?

Associated revisions

Revision 3346 - 2010-01-30 11:36 - Jean-Philippe Lang

Fixed: tests with ruby1.9 broken by r3322 (#4607).

History

#1 - 2010-01-19 12:01 - Alexey Palazhchenko

It was bisected down to r3322.

#2 - 2010-01-30 11:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.1

- Resolution set to Fixed

Fixed in r3346.

#3 - 2010-02-10 02:01 - Eric Davis

- Category set to Ruby support
https://www.redmine.org/projects/redmine/repository/svn/revisions/3322
https://www.redmine.org/projects/redmine/repository/svn/revisions/3346


Aleksey Palazhchenko wrote:

btw, I think support for Ruby 1.9 would be a great target for Redmine 1.0. How about to create specific version/milestone for it to see all releated

issues?

 Added a category for Ruby 1.9 support.

#4 - 2010-02-10 08:04 - Alexey Palazhchenko

Thanks.
